MWRAP(1)

NAME
mwrap - Octave/MATLAB mex generator

SYNOPSIS
mwrap [-mex outputmex] [-m output.m] [-c outputmex.c] [-mb] [-list] [-catch] [-c99complex] [-cppcomplex] infile1 infile2 ...

DESCRIPTION

mwrap is an interface generation system in the spirit of SWIG or matwrap. From a set of augmented Octave/MATLAB script files, mwrap will generate a MEX gateway to desired C/C++ function calls and .m function files to access that gateway. The details of converting to and from Octave's or MATLAB's data structures, and of allocating and freeing temporary storage, are hidden from the user.

OPTIONS

-mex
    specifies the name of the MEX function that the generated functions will call. This name will generally be the same as the prefix for the C/C++ output file name.

-m  specifies the name of the Octave/MATLAB script to be generated.

-c  specifies the name of the C MEX file to be generated. The MEX file may contain stubs corresponding to several different generated files.

-mb redirect Octave/MATLAB function output to files named in the input. In this mode, the processor will change Octave/MATLAB function output files whenever it encounters a line beginning with @. If @ occurs alone on a line, the output will be turned off; if the line begins with @function, the line will be treated as the first line of a function, and the m-file name will be deduced from the function name; and otherwise, the characters after @ (up to the next set of white space) will be treated as a filename, and mwrap will try to write to that file.

-list
    print to the standard output the names of all files that would be generated from redirect output by the -mb flag.

-catch
    surround library calls in try/catch blocks in order to intercept C++ exceptions.

-c99complex
    use the C99 complex floating point types as the default dcomplex and fcomplex types.

-cppcomplex
    use the C++ complex floating point types as the default dcomplex and fcomplex types.